Page MenuHomePhabricator

Confusing sub-sectioning of Components?
Closed, ResolvedPublic

Description

In current state when navigating through “Components” section, the sub-sections for the components seems to make it harder to navigate the different components.

This hasn't been only my impression, it has also been shared by other design folks testing to grasp and navigate which section a component is part of. The toughest example seems to be “Messages” so far.

@alexhollender and myself discussed how to get around this issue and mused about expanding all the subsections, exemplified:

Proposal 1: sub-sections stay, but always expandedProposal 2: flat hierarchy

Proposal 1 doesn't seem to resolve the issue, it's more adding an extra layer without clear value.
Proposal 2 is similar to other style guides.

Comparing other style guides, a flat navigation structure seems to dominate:

Specifically if we don't provide a search functionality either clarification seems necessary.

Event Timeline

Volker_E created this task.Nov 8 2019, 11:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 8 2019, 11:01 PM
Volker_E updated the task description. (Show Details)Nov 8 2019, 11:12 PM
Volker_E added a subscriber: RHo.

Somewhat related T232395

Volker_E renamed this task from Confusing sub-sectioning of Components to Confusing sub-sectioning of Components?.Nov 11 2019, 6:30 AM

@Volker_E I had imagined something like this (perhaps with the list items rearranged):

Thanks @alexhollender for clarification. In case I've been unclear in the task description I see a flat hierarchy currently as best option too – because we're installing a level that we barely explain in the components itself, nor is it usually used in context of applying our components. But the expanded variant seemed to be my understanding of our conversation as alternative option as well.

Volker_E updated the task description. (Show Details)Dec 4 2019, 12:42 AM
Volker_E updated the task description. (Show Details)Dec 4 2019, 4:34 PM

+1 to flat hierarchy and directly showcasing what we have. And since LukeW, we all know that obvious always wins. In regards to sorting the list items, how about an A-Z approach like this:

  • I suggest to use singular not plural for components, it’s easier to scan/read (if that’s been discussed/decided/discarded before: ignore this comment).
  • For the future, have we thought about including a basic search filter for nav items? I find it extremely helpful when looking for a component.
Volker_E triaged this task as High priority.Dec 5 2019, 10:27 PM

@schoenbaechler Singular vs plural is an interesting question. Guess it came out of a) using plurals for many fo the “Visual Style” subsections and b) because “Buttons” stand for various types of buttons? But I'm open for majority vote here, will put this into a task of its own though. Captured in T239971.
Search goes alongside a non-static website, which was once started in T164449, but ran into technical cost-benefit issues. It's currently not possible and we have to rely on our SEO being so good, that we can lean back and let “Wikimedia UI dropdown” be googled for us.

Volker_E closed this task as Resolved.Dec 6 2019, 1:53 AM
Volker_E claimed this task.

With above, I close this task as successfully “resolved”.